Loading ...
Sorry, an error occurred while loading the content.

Problems with Perl Instalation

Expand Messages
  • José Augusto dos Santos Neto
    Dear friends, I´m having problems with perl when i try to install apache-asp. When i run make test appear the message bellow: Can t locate object method new
    Message 1 of 2 , May 4, 2002
    • 0 Attachment
      Dear friends,

      I´m having problems with perl when i try to install apache-asp. When i run
      make test appear the message bellow:

      Can't locate object method "new" via package "URI::URL" (perhaps you forgot
      to load "URI::URL"?) at ../blib/lib/Apache/test.pm line 252.
      make: ** [run_tests] Erro 255

      But if i try install URI::URL throught MCPAN, it said URI::URL is up to
      date.

      In file test.pm on line 252 appear this code:

      sub simple_fetch {
      my $ua = LWP::UserAgent->new;
      my $url = URI::URL->new("http://$net::httpserver");
      my($path,$q) = split /\?/, shift;
      $url->path($path);
      $url->query($q) if $q;
      my $request = new HTTP::Request('GET', $url);
      my $response = $ua->request($request, undef, undef);
      $response->is_success;
      }

      Thanks,

      José Augusto dos Santos Neto
      Microhosting Telecomunicações
      Linux User #253575


      ---------------------------------------------------------------------
      To unsubscribe, e-mail: asp-unsubscribe@...
      For additional commands, e-mail: asp-help@...
    • Joshua Chamas
      ... Did anyone ever answer this question for you? Sorry if not. In general, I do not do make test for mod_perl, as I have often had problems, so you should
      Message 2 of 2 , May 13, 2002
      • 0 Attachment
        José Augusto dos Santos Neto wrote:
        >
        > Dear friends,
        >
        > I´m having problems with perl when i try to install apache-asp. When i run
        > make test appear the message bellow:
        >
        > Can't locate object method "new" via package "URI::URL" (perhaps you forgot
        > to load "URI::URL"?) at ../blib/lib/Apache/test.pm line 252.
        > make: ** [run_tests] Erro 255
        >
        > But if i try install URI::URL throught MCPAN, it said URI::URL is up to
        > date.
        >

        Did anyone ever answer this question for you? Sorry if not.

        In general, I do not do "make test" for mod_perl, as I have often
        had problems, so you should be able to install without this.

        But, to get it to work, you might make sure that Apache/test.pm
        does in fact to a "use URI::URL". This might just be a bug
        in the mod_perl distribution you are using, so you might want
        to download the latest stable release, 1.26, at

        http://perl.apache.org/dist/

        If you are using mod_perl 1.26 to build, and you find the problem,
        you might submit a patch to the mod_perl maintainers.

        --Josh
        _________________________________________________________________
        Joshua Chamas Chamas Enterprises Inc.
        NodeWorks Founder Huntington Beach, CA USA
        http://www.nodeworks.com 1-714-625-4051

        ---------------------------------------------------------------------
        To unsubscribe, e-mail: asp-unsubscribe@...
        For additional commands, e-mail: asp-help@...
      Your message has been successfully submitted and would be delivered to recipients shortly.